//! # DBus interface proxy for: `org.asuslinux.Daemon`
//!
//! This code was generated by `zbus-xmlgen` `1.0.0` from DBus introspection data.
//! Source: `Interface '/org/asuslinux/RogBios' from service 'org.asuslinux.Daemon' on system bus`.
//!
//! You may prefer to adapt it, instead of using it verbatim.
//!
//! More information can be found in the
//! [Writing a client proxy](https://zeenix.pages.freedesktop.org/zbus/client.html)
//! section of the zbus documentation.
//!
//! This DBus object implements
//! [standard DBus interfaces](https://dbus.freedesktop.org/doc/dbus-specification.html),
//! (`org.freedesktop.DBus.*`) for which the following zbus proxies can be used:
//!
//! * [`zbus::fdo::PropertiesProxy`]
//! * [`zbus::fdo::PeerProxy`]
//! * [`zbus::fdo::IntrospectableProxy`]
//!
//! …consequently `zbus-xmlgen` did not generate code for the above interfaces.

use zbus_macros::dbus_proxy;

#[dbus_proxy(
    interface = "org.asuslinux.Daemon",
    default_path = "/org/asuslinux/RogBios"
)]
trait RogBios {
    /// DedicatedGraphicMode method
    fn dedicated_graphic_mode(&self) -> zbus::Result<i16>;

    /// PostBootSound method
    fn post_boot_sound(&self) -> zbus::Result<i16>;

    /// SetDedicatedGraphicMode method
    fn set_dedicated_graphic_mode(&self, dedicated: bool) -> zbus::Result<()>;

    /// SetPostBootSound method
    fn set_post_boot_sound(&self, on: bool) -> zbus::Result<()>;

    /// NotifyDedicatedGraphicMode signal
    #[dbus_proxy(signal)]
    fn notify_dedicated_graphic_mode(&self, dedicated: bool) -> zbus::Result<()>;

    /// NotifyPostBootSound signal
    #[dbus_proxy(signal)]
    fn notify_post_boot_sound(&self, sound: bool) -> zbus::Result<()>;
}
